ZIP_FILE_ATTRIBUTES_INIT(3)

NAME
zip_file_attributes_init - initialize zip file attributes structure

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
void
zip_file_attributes_init(zip_file_attributes_t *attributes);

DESCRIPTION
The zip_file_attributes_init() initializes a zip_file_attributes_t structure with default values. It must be called before modifying such a structure for the first time.

SEE ALSO
libzip(3), zip_source_function(3)

HISTORY
zip_file_attributes_init() was added in libzip 1.7.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>